# stuff to be implemented externally:
Source10: kmodtool
%define	kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.19-1.2911.6.5.fc6}

%define kmod_name rt73
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

%define cvs 20070113
%define debug_package %{nil}

Name:		%{kmod_name}-kmod
Version:	0.0.0cvs%cvs
Release:	1.%(echo %{kverrel} | tr - _)
Summary:	Kernel module for RT61 wireless devices 
Group:		System Environment/Kernel
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt61-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt73-cvs-%{cvs}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	sharutils
# ppc version may be very buggy
#ExclusiveArch:	i585 i686 x86_64


%description
This package contains the Ralink rt73 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt73 chipsets.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -n %{name}-%{cvs} 
for kvariant in %{kvariants} ; do
	cp -a rt73-cvs-%{cvs} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
#ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant/Module
	make 					\
	KERNDIR="%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}" 			\
	KERNELRELEASE=%{kverrel}${kvariant}	\
	MODDIR=/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
cd ..
cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant/Module
	install -m 644 rt73.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
# Is easier than:
#make install-fedora DESTDIR=$RPM_BUILD_ROOT
popd
done


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 0.0.0cvs20070113-1
- Update to 20070113

* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 0.0.0cvs20061120-5.fc6
- Update to 20061120.
- inital release.
